<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tiposervicio{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO tiposervicio (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idtiposervicio,$nombre,$descripcion){
	$sql="UPDATE tiposervicio SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idtiposervicio='$idtiposervicio'";
	return ejecutarConsulta($sql);
}
public function desactivar($idtiposervicio){
	$sql="UPDATE tiposervicio SET condicion='0' WHERE idtiposervicio='$idtiposervicio'";
	return ejecutarConsulta($sql);
}
public function activar($idtiposervicio){
	$sql="UPDATE tiposervicio SET condicion='1' WHERE idtiposervicio='$idtiposervicio'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtiposervicio){
	$sql="SELECT * FROM tiposervicio WHERE idtiposervicio='$idtiposervicio'";
	return ejecutarConsultaSimpleFila($sql);
}


//listar registros
public function listar(){
	$sql="SELECT * FROM tiposervicio";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM tiposervicio WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
